#62355: py-ansible-base @2.10.6: Missing dependency py-packaging

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

#62355: py-ansible-base @2.10.6: Missing dependency py-packaging

macports-4
#62355: py-ansible-base @2.10.6: Missing dependency py-packaging
-----------------------------+-----------------------------
 Reporter:  danieltrautmann  |      Owner:  adfernandes@…
     Type:  enhancement      |     Status:  assigned
 Priority:  Normal           |  Milestone:
Component:  ports            |    Version:  2.6.4
 Keywords:  haspatch         |       Port:  py-ansible-base
-----------------------------+-----------------------------
 During an Ansible run I got the following warning:

 {{{
 [WARNING]: packaging Python module unavailable; unable to validate
 collection Ansible version requirements
 }}}

 According to [https://groups.google.com/g/ansible-
 project/c/HiQaAG6hq44/m/eqY1docXAQAJ this] discussion, this warning occurs
 when the dependency `packaging` is not installed.

 I'll prepare a pull request for that, since I already added this
 dependency in my local MacPorts repo and the warning is gone now.

--
Ticket URL: <https://trac.macports.org/ticket/62355>
MacPorts <https://www.macports.org/>
Ports system for macOS
Reply | Threaded
Open this post in threaded view
|

Re: #62355: py-ansible-base @2.10.6: Missing dependency py-packaging

macports-4
#62355: py-ansible-base @2.10.6: Missing dependency py-packaging
------------------------------+---------------------------
  Reporter:  danieltrautmann  |      Owner:  adfernandes@…
      Type:  enhancement      |     Status:  closed
  Priority:  Normal           |  Milestone:
 Component:  ports            |    Version:  2.6.4
Resolution:  fixed            |   Keywords:  haspatch
      Port:  py-ansible-base  |
------------------------------+---------------------------
Changes (by danieltrautmann):

 * status:  assigned => closed
 * resolution:   => fixed


Comment:

 In [changeset:"d48ff9963737a6aae86af278417ec0b356094436/macports-ports"
 d48ff9963737a6aae86af278417ec0b356094436/macports-ports] (master):
 {{{
 #!ConfigurableCommitTicketReference repository="macports-ports"
 revision="d48ff9963737a6aae86af278417ec0b356094436"
 py-ansible-base: Add dependency py-packaging

 A warning is shown at the start of an Ansible run with the following
 message:

 [WARNING]: packaging Python module unavailable; unable to validate
 collection Ansible version requirements

 The added dependency fixes this warning.

 Closes: https://trac.macports.org/ticket/62355
 }}}

--
Ticket URL: <https://trac.macports.org/ticket/62355#comment:1>
MacPorts <https://www.macports.org/>
Ports system for macOS